Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.ui
Class JspPrinter

    java.lang.Object
      java.io.Writer
          lp.struct.util.LpPrinter<W>
              lp.struct.util.LpPrettyPrinter<W>
                  lp.struct.util.EvolpPrettyPrinter<W>
                      lp.struct.util.LpHtmlPrinter<javax.servlet.jsp.JspWriter>
                          lp.ui.JspPrinter

All Implemented Interfaces:
  Closeable, Flushable, Appendable, LpStructureUnitVisitor

    public class JspPrinter

extends LpHtmlPrinter<javax.servlet.jsp.JspWriter>

A helper class for printing logic programs and messages in HTML to a `JspWriter`.

Version:
  0.9.0
Author:
  Martin Slota

Field Summary
`private static boolean` | `QUIET`

Fields inherited from class lp.struct.util.EvolpPrettyPrinter
`innerTermsLeft, trackPosition`

Fields inherited from class lp.struct.util.LpPrettyPrinter
`ARROW_STRING, SPACE_STRING`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`JspPrinter(javax.servlet.jsp.JspWriter out)`

Method Summary
`void` | `println(String line)`
`void` | `showError(String comment, Exception e)`
`void` | `showMessage(String message)`

Methods inherited from class lp.struct.util.LpHtmlPrinter
`append, append, appendOuterRule, appendPunctuation, appendPunctuation, arrow, beginParen, comma, dot, endParen, getBuffer, getBuffer, literalPrefix, visit, visit, visit, visit`

Methods inherited from class lp.struct.util.EvolpPrettyPrinter
`appendInnerRule, registerTerm, visit, visit, write`

Methods inherited from class lp.struct.util.LpPrettyPrinter
`appendRuleNoDot, space, visit, visit, visitArgumentList`

Methods inherited from class lp.struct.util.LpPrinter
`append, append, append, append, close, flush, getOut, setOut, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUIET

    private static final boolean QUIET

See Also:
  Constant Field Values

Constructor Detail

### JspPrinter

    public JspPrinter(javax.servlet.jsp.JspWriter out)

Method Detail

### println

    public void println(String line)

### showMessage

    public void showMessage(String message)

### showError

    public void showError(String comment,
                          Exception e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD